summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-03-14 12:45:19 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-03-14 12:45:19 +0100
commit34b4c34fd3c3ca048a4f4d53aaa6e52f6d9c9a14 (patch)
treec0ef886312dbbc5d715a4bbfce10fc8e3d15d047 /dev-python/rosdistro
parentros-meta/rqt_robot_plugins: Bump to 0.4.3. (diff)
downloadgentoo-34b4c34fd3c3ca048a4f4d53aaa6e52f6d9c9a14.tar.gz
gentoo-34b4c34fd3c3ca048a4f4d53aaa6e52f6d9c9a14.tar.bz2
gentoo-34b4c34fd3c3ca048a4f4d53aaa6e52f6d9c9a14.zip
dev-python/rosdistro: bump to 0.4.5
Package-Manager: portage-2.2.28 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
Diffstat (limited to 'dev-python/rosdistro')
-rw-r--r--dev-python/rosdistro/Manifest1
-rw-r--r--dev-python/rosdistro/rosdistro-0.4.5.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-python/rosdistro/Manifest b/dev-python/rosdistro/Manifest
index 37e89e597f3..5ab3edd31a5 100644
--- a/dev-python/rosdistro/Manifest
+++ b/dev-python/rosdistro/Manifest
@@ -1 +1,2 @@
DIST rosdistro-0.4.4.tar.gz 40001 SHA256 1c7c6886c2e61dd8143d3c08f5690f30e9d4e081d348c78bb0b2e8d32773c57b SHA512 4f6b79d88687f6e6147b95bef484a1555639d65044d01812af60eb072579345b5233bcda8fba251f0685a28b756addff7468c34978b0cc04c871ce4fe30fbe2c WHIRLPOOL 99a29b8c7ef475cd4599d2d9e8e28210af2a9d50b280dc9c315f16b3ae3be8b85e4da55a1c8cb6af55795b98207601307e7e846c0a8cdae6a5b4af356ff7b044
+DIST rosdistro-0.4.5.tar.gz 40510 SHA256 6c0ba15916e2dcde6d8399aa32d315b3bc7428d0655c36a92dafe1a08d412753 SHA512 0a6d394eaa2aae75d6d2aad88d1b81f63c0dd8706ff502af75bb57bbf0682c887b4726405e3d239fec22524870145d6d54e9972fcb2f124542682fef82e2751d WHIRLPOOL 29b8ccb67117ab7a3c667db0dd24a3a4b5fcef786cd9d3e4bac14f181284a993371ca8cfaf12377f6739ca7bb4db044b1a5cdc165c0042d4fcc32bbdb682c7a5
diff --git a/dev-python/rosdistro/rosdistro-0.4.5.ebuild b/dev-python/rosdistro/rosdistro-0.4.5.ebuild
new file mode 100644
index 00000000000..7f7898e2047
--- /dev/null
+++ b/dev-python/rosdistro/rosdistro-0.4.5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+SCM=""
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SCM="git-r3"
+ EGIT_REPO_URI="https://github.com/ros-infrastructure/rosdistro"
+fi
+
+inherit ${SCM} distutils-r1
+
+DESCRIPTION="Tools to work with catkinized rosdistro files"
+HOMEPAGE="http://wiki.ros.org/rosdistro"
+if [ "${PV#9999}" != "${PV}" ] ; then
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="http://download.ros.org/downloads/${PN}/${P}.tar.gz
+ http://github.com/ros-infrastructure/rosdistro/archive/${PV}.tar.gz -> ${P}.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ dev-python/catkin_pkg[${PYTHON_USEDEP}]
+ dev-python/rospkg[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ nosetests --with-xunit test || die
+}